﻿using System.Net.Mail;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region E 메일 주소 여부 구하기 - IsEMailAddress( source)

    /// <summary>
    /// E 메일 주소 여부 구하기
    /// </summary>
    /// <param name="source">소스 문자열</param>
    /// <returns>E 메일 주소 여부</returns>
    private static bool IsEMailAddress(string source)
    {
        try
        {
            MailAddress mailAddress = new MailAddress(source);

            return mailAddress.Address == source;
        }
        catch
        {
            return false;
        }
    }

    #endregion

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        string source = "icodebroker@naver.com";

        Console.WriteLine($"{source} : {IsEMailAddress(source)}");
    }

    #endregion
}